# frozen_string_literal: true

module Dmcli
  # Spell
  # Defines a spell object for storing Dungeons and Dragons spells
  class Spell
    attr_reader :name, :is_reversible, :spell_level, :spell_class, :range, :duration, :effect, :description_text

    def initialize(
      name,
      is_reversible,
      spell_class,
      spell_level,
      range,
      duration,
      effect,
      description_text
    )
      @name = name
      @is_reversible = is_reversible
      @spell_class = spell_class
      @spell_level = spell_level
      @range = range
      @duration = duration
      @effect = effect
      @description_text = description_text
    end

    def to_s
      "#{@name.ljust(35)} #{@spell_class.ljust(13).capitalize} #{@spell_level.ljust(4)} #{@range.ljust(30)} #{@duration.ljust(45)} #{@effect}"
    end
  end
end
