# frozen_string_literal: true

module Dmcli
  # SpellList
  # Stores a list of Spell objects
  class SpellList
    attr_reader :spells

    def initialize
      @spells = []
    end

    def add(spell)
      @spells.push(spell)
    end

    def sort
      @spells.sort_by! { |spell| [spell.spell_level, spell.spell_class, spell.name] }
    end

    def list
      puts "#{"Name".ljust(35)} #{"Class".ljust(13)} #{"Lvl".ljust(4)} #{"Range".ljust(30)} #{"Duration".ljust(45)} Effect"
      puts "----------------------------------------------------------------------------------------------------------------------------------------------------------"
      @spells.each do |spell|
        puts spell.to_s
      end
    end
  end
end
